Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dsyev

scipy.linalg.lapack.dsyev(a[, compute_v, lower, lwork, overwrite_a]) = <fortran function dsyev>

  Wrapper for `dsyev`.

  Parameters:
    a input rank-2 array(‘d’) with bounds (n,n)
  Returns:
    w rank-1 array(‘d’) with bounds (n)
    v rank-2 array(‘d’) with bounds (n,n) and a storage
    info int
  Other Parameters:
    compute_v input int, optional

      Default: 1

    lower input int, optional

      Default: 0

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(3*n-1,1)